org.apache.poi.hwmf.record

## Interface HwmfRecord

- All Superinterfaces:
    GenericRecord
  All Known Implementing Classes:
    HemfDraw.EmfArc, HemfDraw.EmfArcTo, HemfDraw.EmfChord, HemfDraw.EmfEllipse, HemfDraw.EmfLineTo, HemfDraw.EmfPie, HemfDraw.EmfPolyBezier, HemfDraw.EmfPolyBezier16, HemfDraw.EmfPolyBezierTo, HemfDraw.EmfPolyBezierTo16, HemfDraw.EmfPolyDraw, HemfDraw.EmfPolyDraw16, HemfDraw.EmfPolygon, HemfDraw.EmfPolygon16, HemfDraw.EmfPolyline, HemfDraw.EmfPolyline16, HemfDraw.EmfPolylineTo, HemfDraw.EmfPolylineTo16, HemfDraw.EmfPolyPolygon, HemfDraw.EmfPolyPolygon16, HemfDraw.EmfPolyPolyline, HemfDraw.EmfPolyPolyline16, HemfDraw.EmfRectangle, HemfDraw.EmfRoundRect, HemfDraw.EmfSelectObject, HemfDraw.EmfSetMoveToEx, HemfDraw.EmfSetPixelV, HemfFill.EmfBitBlt, HemfFill.EmfExtFloodFill, HemfFill.EmfFillRgn, HemfFill.EmfFrameRgn, HemfFill.EmfSetPolyfillMode, HemfFill.EmfStretchBlt, HemfFill.EmfStretchDiBits, HemfMisc.EmfCreateBrushIndirect, HemfMisc.EmfCreateDibPatternBrushPt, HemfMisc.EmfCreatePen, HemfMisc.EmfDeleteObject, HemfMisc.EmfExtCreatePen, HemfMisc.EmfRestoreDc, HemfMisc.EmfSaveDc, HemfMisc.EmfSetBkColor, HemfMisc.EmfSetBkMode, HemfMisc.EmfSetMapMode, HemfMisc.EmfSetMapperFlags, HemfMisc.EmfSetRop2, HemfMisc.EmfSetStretchBltMode, HemfPalette.EmfCreatePalette, HemfPalette.EmfRealizePalette, HemfPalette.EmfResizePalette, HemfPalette.EmfSelectPalette, HemfPalette.EmfSetPaletteEntries, HemfText.EmfExtCreateFontIndirectW, HemfText.EmfExtTextOutA, HemfText.EmfExtTextOutW, HemfText.EmfSetTextAlign, HemfText.EmfSetTextColor, HemfWindowing.EmfScaleViewportExtEx, HemfWindowing.EmfScaleWindowExtEx, HemfWindowing.EmfSetExcludeClipRect, HemfWindowing.EmfSetIntersectClipRect, HemfWindowing.EmfSetOffsetClipRgn, HemfWindowing.EmfSetViewportExtEx, HemfWindowing.EmfSetViewportOrgEx, HemfWindowing.EmfSetWindowExtEx, HemfWindowing.EmfSetWindowOrgEx, HwmfDraw.WmfArc, HwmfDraw.WmfChord, HwmfDraw.WmfEllipse, HwmfDraw.WmfFrameRegion, HwmfDraw.WmfLineTo, HwmfDraw.WmfMoveTo, HwmfDraw.WmfPie, HwmfDraw.WmfPolygon, HwmfDraw.WmfPolyline, HwmfDraw.WmfPolyPolygon, HwmfDraw.WmfRectangle, HwmfDraw.WmfRoundRect, HwmfDraw.WmfSelectObject, HwmfDraw.WmfSetPixel, HwmfEscape, HwmfFill.WmfBitBlt, HwmfFill.WmfDibBitBlt, HwmfFill.WmfDibStretchBlt, HwmfFill.WmfExtFloodFill, HwmfFill.WmfFillRegion, HwmfFill.WmfFloodFill, HwmfFill.WmfInvertRegion, HwmfFill.WmfPaintRegion, HwmfFill.WmfPatBlt, HwmfFill.WmfSetDibToDev, HwmfFill.WmfSetPolyfillMode, HwmfFill.WmfStretchBlt, HwmfFill.WmfStretchDib, HwmfMisc.WmfCreateBrushIndirect, HwmfMisc.WmfCreatePatternBrush, HwmfMisc.WmfCreatePenIndirect, HwmfMisc.WmfDeleteObject, HwmfMisc.WmfDibCreatePatternBrush, HwmfMisc.WmfRestoreDc, HwmfMisc.WmfSaveDc, HwmfMisc.WmfSetBkColor, HwmfMisc.WmfSetBkMode, HwmfMisc.WmfSetLayout, HwmfMisc.WmfSetMapMode, HwmfMisc.WmfSetMapperFlags, HwmfMisc.WmfSetRelabs, HwmfMisc.WmfSetRop2, HwmfMisc.WmfSetStretchBltMode, HwmfPalette.WmfAnimatePalette, HwmfPalette.WmfCreatePalette, HwmfPalette.WmfPaletteParent, HwmfPalette.WmfRealizePalette, HwmfPalette.WmfResizePalette, HwmfPalette.WmfSelectPalette, HwmfPalette.WmfSetPaletteEntries, HwmfText.WmfCreateFontIndirect, HwmfText.WmfExtTextOut, HwmfText.WmfSetTextAlign, HwmfText.WmfSetTextCharExtra, HwmfText.WmfSetTextColor, HwmfText.WmfSetTextJustification, HwmfText.WmfTextOut, HwmfWindowing.WmfCreateRegion, HwmfWindowing.WmfExcludeClipRect, HwmfWindowing.WmfIntersectClipRect, HwmfWindowing.WmfOffsetClipRgn, HwmfWindowing.WmfOffsetViewportOrg, HwmfWindowing.WmfOffsetWindowOrg, HwmfWindowing.WmfScaleViewportExt, HwmfWindowing.WmfScaleWindowExt, HwmfWindowing.WmfSelectClipRegion, HwmfWindowing.WmfSetViewportExt, HwmfWindowing.WmfSetViewportOrg, HwmfWindowing.WmfSetWindowExt, HwmfWindowing.WmfSetWindowOrg

      public interface HwmfRecord
      extends GenericRecord

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HwmfGraphics ctx)` Apply the record settings to the graphics context
    `default java.lang.Enum` | `getGenericRecordType()`
    `HwmfRecordType` | `getWmfRecordType()`
    `int` | `init(LittleEndianInputStream leis, long recordSize, int recordFunction)` Init record from stream

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericProperties`

- - ### Method Detail

    - #### getWmfRecordType

          HwmfRecordType getWmfRecordType()

    - #### init

          int init(LittleEndianInputStream leis,
                   long recordSize,
                   int recordFunction)
            throws java.io.IOException

      Init record from stream
      Parameters:
        `leis` - the little endian input stream
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException`

    - #### draw

          void draw(HwmfGraphics ctx)

      Apply the record settings to the graphics context
      Parameters:
        `ctx` - the graphics context to modify

    - #### getGenericRecordType

          default java.lang.Enum getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.